Bug 120797 - Comment not displayed on hovering with gtk3 and kde5
Summary: Comment not displayed on hovering with gtk3 and kde5
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All Linux (All)
: medium normal
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard: target:6.3.0 target:6.2.4
Keywords: bibisected, bisected, regression
: 121750 124354 124863 (view as bug list)
Depends on:
Blocks: Calc-Comments regressions-buffering-GraphicData
  Show dependency treegraph
 
Reported: 2018-10-22 15:12 UTC by Xisco Faulí
Modified: 2019-05-03 11:10 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-10-22 15:12:31 UTC
Steps to reproduce:
1. Open Calc
2. Insert a comment to cell A1
3. Move the mouse away and back to cell A1

-> Comment is not displayed

Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: 5fb66ae5595b7435e8954df31473fad15a74b8c2
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

it seems in GTK or GEN it's partially displayed
Comment 1 Xisco Faulí 2018-10-22 15:14:05 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=7034311dce663c895577267110baadbec312d491

author	Armin Le Grand <Armin.Le.Grand@cib.de>	2018-09-06 18:15:02 +0200
committer	Armin Le Grand <Armin.Le.Grand@cib.de>	2018-09-13 08:49:35 +0200
commit	7034311dce663c895577267110baadbec312d491 (patch)
tree	8c1d712cbfb1b15dc492e6e724b6b22892914249
parent	d92b0efe58b77247e1e5292c1a989baa934df797 (diff)
Support buffering SystemDependent GraphicData (II)

Bisected with: bibisect-linux64-6.2

Adding Cc: to Armin Le Grand
Comment 2 Xavier Van Wijmeersch 2018-10-22 17:32:18 UTC
confirm with

Version: 6.1.4.0.0+
Build ID: ac39aba9b2d08b061b0eef651f5ebc7a84391171
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group threaded

Version: 6.2.0.0.alpha0+
Build ID: aa3b2f90a62678c8e594830277a32e3ad742e826
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: threaded

but not with

Version: 6.2.0.0.alpha1+
Build ID: 8274c4c62df5b937b3f0bec9e1eeca85f3b219d4
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-10-22_00:35:58
Locale: nl-BE (en_US.UTF-8); Calc: threaded
Comment 3 Luke 2018-10-24 16:40:22 UTC
(In reply to Xavier Van Wijmeersch from comment #2)
> but not with
> Build ID: 8274c4c62df5b937b3f0bec9e1eeca85f3b219d4
> TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time:

I COULD reproduce this with my own release build of 
Version: 6.2.0.0.alpha1+
Build ID: 8274c4c62df5b937b3f0bec9e1eeca85f3b219d4
with gtk3 backend

This is come kind of gtk3 assert issue, as every time you hover the mouse over the comment, you get the following error in console:

(soffice:524): Gtk-CRITICAL **: 12:20:04.564: gtk_widget_queue_draw_area: assertion 'width >= 0' failed

Xisco,
I could NOT reproduce it with  SAL_USE_VCLPLUGIN=gen or gtk. What did you mean by "partially displayed"? 

Cloph,
What version of gtk is @70-TDF building against? What are the build parameters?
Comment 4 Xavier Van Wijmeersch 2018-10-24 19:48:11 UTC
Can now reproduce with my own release build from 23/10/2018

Version: 6.2.0.0.alpha1+
Build ID: d11594db10c6c4eb9251c6eeeccbf9b9565cc693
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: nl-BE (en_US.UTF-8); Calc: threaded

Best regards
Comment 5 Xisco Faulí 2019-03-28 17:36:13 UTC
*** Bug 124354 has been marked as a duplicate of this bug. ***
Comment 6 Xisco Faulí 2019-03-28 17:37:56 UTC
*** Bug 121750 has been marked as a duplicate of this bug. ***
Comment 7 Aron Budea 2019-04-25 13:45:49 UTC
*** Bug 124863 has been marked as a duplicate of this bug. ***
Comment 8 Commit Notification 2019-04-26 20:52:18 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/95e9b7b2d1a5bb6776eef89461b63ab3dc01f34f%5E%21

tdf#120797: Apply transformation also to the extents of damage

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-04-27 10:42:15 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/6afbe153ffd4cab27f0a7bb77f71f25923dc2e43%5E%21

remove comment in light of fix for tdf#120797

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2019-04-29 11:27:46 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 101eea01c778ad255d3c8467e06643b23ff6bd76
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Bubli, thanks for fixing this issue!!
Comment 11 Commit Notification 2019-04-29 16:30:43 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/dc37b4babc3234df7e2bde67ac662324925f0e61%5E%21

tdf#120797: Apply transformation also to the extents of damage

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Owen Savill 2019-04-30 11:54:21 UTC
I can also confirm it is fixed in Version: 6.3.0.0.alpha0+
Build ID: 6a67ecd9b12e68031b5dbacb591955b59f476b86
Comment 13 rosma 2019-05-03 11:10:59 UTC
The problem is confirmed as fixed for me in the two versions shown below. Thank you to all those involved in rectifying this.

Version: 6.2.4.0.0+
Build ID: df02927207ad19532f5c1ac5a5cf745559e47c22
CPU threads: 2; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:libreoffice-6-2, Time: 2019-05-02_05:21:24
Locale: en-GB (en_GB.UTF-8); UI-Language: en-GB
Calc: threaded

Version: 6.3.0.0.alpha0+
Build ID: 96ab20756316b25b7f2343a15596bc5114ea5a68
CPU threads: 2; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-05-02_14:29:16
Locale: en-GB (en_GB.UTF-8); UI-Language: en-GB
Calc: threaded